<html>
<!--    cibl&eacute; par:  ../menu-base.php

		cible:	nouveau-client.php
				liste-client.php						
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-fermer				indique si le dossier est ferm&eacute;
							-code_membre		le code du membre

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
 -->
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Clients</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");
	
	
	historique("../historique.txt","MENU CLIENTS",$Bsession_id);	

	//Afficher les champs d'entr&eacute;e des informations du nouveau dossier.
	displayFields();


 
 /*************************************************************************
 * displayFields
 *
 * Tāche: Afficher les champs d'ajout de donn&eacute;es ainsi que le bouton
 *        de soumission des donn&eacute;es d'ajout.
 *
 ************************************************************************/
function displayFields()
{ 
//Variables globales.
	global $Bsession_id, $organisme, $nom, $prenom, $privilege_base;





print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Gestion des clients</b></td>");
print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
print("</td></tr></table>");		

	print("<table cellspacing=0 cellpadding=0 width=750px border=0>");
	
	//NOUVEAU CLIENT****************************************************************************	
	print("<tr><td bgcolor=#E7EFCE colspan=2><b>");
	if ($privilege_base == 2)//protection pour les droits de modification
	{
		print("<form action=\"nouveau-client.php?lien=1&Bsession_id=".$Bsession_id."\" method=\"post\" name=\"nouveau-client\">");
		print("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
		print("<input type=\"hidden\" name=\"lien\" value=1>");
		print("<BR>Pour inscrire un nouveau client : <input type=\"submit\" name=\"nouveau_client\" value=\"nouveau client\">");
		print("</form>");
	}	
	print("</td></tr>");
	
			   
//RECHERCHE PAR ORGANISME******************************************************************

	print ("<form action=\"liste-client.php?Bsession_id=".$Bsession_id."\" method=\"get\" name=\"champ\">");
		    print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
			print ("<input type='hidden' name='organisme' value=".$organisme.">");
			print ("<input type='hidden' name='type' value=1>");	
	
	print("<tr><td colspan=2 bgcolor=#636300><font face=Arial,Helvetica size=2 color=white><b>Recherche par organisme</td></tr>");
	print("<tr><td bgcolor=#E7EFCE valign=top width=300px><b>nom de organisme :</b>");
	print("<input type=\"text\" value=\"$organisme\" name=\"organisme\" align=\"top\" maxlength=\"40\" size=\"25\">");
	print("</td><td bgcolor=#E7EFCE width=300px>");
	
	//bouton soummission
	print("<br><input type=\"submit\" value=\"Chercher\">");	
 	print("</form></td></tr>");
	
	
 	print("<tr><td bgcolor=#E7EFCE colspan=2>");
 	print("Cette section vous permet d'effectuer la recherche d'un client par son organisme. Vous pouvez utiliser le symbole de pourcentage ( % ) pour remplacer plusieurs caract&egrave;res. ");
	print("</form></td></tr>");
	

	
//RECHERCHE PAR CONTACT**********************************************************************
			print ("<form action=\"liste-client.php?Bsession_id=".$Bsession_id."\" method=\"get\" name=\"champ2\">");
		    print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
			print ("<input type='hidden' name='nom' value=".$nom.">");
			print ("<input type='hidden' name='prenom' value=".$prenom.">");
			print ("<input type='hidden' name='type' value=2>");
	
	print("<tr><td colspan=2 bgcolor=#636300><font face=Arial,Helvetica size=2 color=white><b>Recherche par contact</td></tr>");
	print("<tr><td bgcolor=#E7EFCE><b>");
	print("Nom : <input type=\"text\" value=\"$nom\" name=\"nom\" align=\"top\" maxlength=\"25\" size=\"25\"><br>");
	print("Pr&eacute;nom : <input type=\"text\" value=\"$prenom\" name=\"prenom\" align=\"top\" maxlength=\"25\" size=\"25\">");
	print("</td><td bgcolor=#E7EFCE width=300px>");
	
	//bouton soummission
	print("<br><br><br><input type=\"submit\" value=\"Chercher\"></form>");
	
		
	print("</td></tr><tr><td bgcolor=#E7EFCE colspan=2><br>");
 	print("Cette section vous permet d'effectuer la recherche d'un client par son nom ou son pr&eacute;nom. Vous pouvez utiliser le symbole de pourcentage ( % ) pour remplacer plusieurs caract&egrave;res.");
	print("</td></tr></table>");
	
print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");	
	


}		

//BAS DE PAGE*****************************************************************

print("<br><hr><center>");
	//Afficher le bouton de retour au menu principal.
	print("<form action=\"../menu-base.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"principal\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
	print("<input type=\"submit\" name=\"menu_principal\" value=\"Menu Principal\"></form>");
	

	
	




	
?>

</body>
</html>	
	
	
	
	
